Package org.eclipse.birt.chart.model.component

# Interface ComponentPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ComponentPackageImpl`

public interface ComponentPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `ComponentFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ComponentPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AXIS`
The meta object id for the '`Axis`' class.
`static final int`
`AXIS__ALIGNED`
The feature id for the 'Aligned' attribute.
`static final int`
`AXIS__ANCILLARY_AXES`
The feature id for the 'Ancillary Axes' containment reference list.
`static final int`
`AXIS__ASSOCIATED_AXES`
The feature id for the 'Associated Axes' containment reference list.
`static final int`
`AXIS__AXIS_PERCENT`
The feature id for the 'Axis Percent' attribute.
`static final int`
`AXIS__CATEGORY_AXIS`
The feature id for the 'Category Axis' attribute.
`static final int`
`AXIS__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`AXIS__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`AXIS__GAP_WIDTH`
The feature id for the 'Gap Width' attribute.
`static final int`
`AXIS__INTERVAL`
The feature id for the 'Interval' attribute.
`static final int`
`AXIS__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`AXIS__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`AXIS__LABEL_SPAN`
The feature id for the 'Label Span' attribute.
`static final int`
`AXIS__LABEL_WITHIN_AXES`
The feature id for the 'Label Within Axes' attribute.
`static final int`
`AXIS__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`AXIS__MAJOR_GRID`
The feature id for the 'Major Grid' containment reference.
`static final int`
`AXIS__MARKER_LINES`
The feature id for the 'Marker Lines' containment reference list.
`static final int`
`AXIS__MARKER_RANGES`
The feature id for the 'Marker Ranges' containment reference list.
`static final int`
`AXIS__MINOR_GRID`
The feature id for the 'Minor Grid' containment reference.
`static final int`
`AXIS__ORIENTATION`
The feature id for the 'Orientation' attribute.
`static final int`
`AXIS__ORIGIN`
The feature id for the 'Origin' containment reference.
`static final int`
`AXIS__PERCENT`
The feature id for the 'Percent' attribute.
`static final int`
`AXIS__PRIMARY_AXIS`
The feature id for the 'Primary Axis' attribute.
`static final int`
`AXIS__SCALE`
The feature id for the 'Scale' containment reference.
`static final int`
`AXIS__SERIES_DEFINITIONS`
The feature id for the 'Series Definitions' containment reference list.
`static final int`
`AXIS__SIDE_BY_SIDE`
The feature id for the 'Side By Side' attribute.
`static final int`
`AXIS__STAGGERED`
The feature id for the 'Staggered' attribute.
`static final int`
`AXIS__SUB_TITLE`
The feature id for the 'Sub Title' containment reference.
`static final int`
`AXIS__TITLE`
The feature id for the 'Title' containment reference.
`static final int`
`AXIS__TITLE_POSITION`
The feature id for the 'Title Position' attribute.
`static final int`
`AXIS__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`AXIS__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`AXIS_FEATURE_COUNT`
The number of structural features of the 'Axis' class.
`static final int`
`CHART_PREFERENCES`
The meta object id for the '`Chart Preferences`' class.
`static final int`
`CHART_PREFERENCES__BLOCKS`
The feature id for the 'Blocks' containment reference list.
`static final int`
`CHART_PREFERENCES__LABELS`
The feature id for the 'Labels' containment reference list.
`static final int`
`CHART_PREFERENCES_FEATURE_COUNT`
The number of structural features of the 'Chart Preferences' class.
`static final int`
`CURVE_FITTING`
The meta object id for the '`Curve Fitting`' class.
`static final int`
`CURVE_FITTING__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`CURVE_FITTING__LABEL_ANCHOR`
The feature id for the 'Label Anchor' attribute.
`static final int`
`CURVE_FITTING__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`CURVE_FITTING_FEATURE_COUNT`
The number of structural features of the 'Curve Fitting' class.
`static final int`
`DIAL`
The meta object id for the '`Dial`' class.
`static final int`
`DIAL__DIAL_REGIONS`
The feature id for the 'Dial Regions' containment reference list.
`static final int`
`DIAL__FILL`
The feature id for the 'Fill' containment reference.
`static final int`
`DIAL__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`DIAL__INVERSE_SCALE`
The feature id for the 'Inverse Scale' attribute.
`static final int`
`DIAL__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`DIAL__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`DIAL__MAJOR_GRID`
The feature id for the 'Major Grid' containment reference.
`static final int`
`DIAL__MINOR_GRID`
The feature id for the 'Minor Grid' containment reference.
`static final int`
`DIAL__RADIUS`
The feature id for the 'Radius' attribute.
`static final int`
`DIAL__SCALE`
The feature id for the 'Scale' containment reference.
`static final int`
`DIAL__START_ANGLE`
The feature id for the 'Start Angle' attribute.
`static final int`
`DIAL__STOP_ANGLE`
The feature id for the 'Stop Angle' attribute.
`static final int`
`DIAL_FEATURE_COUNT`
The number of structural features of the 'Dial' class.
`static final int`
`DIAL_REGION`
The meta object id for the '`Dial Region`' class.
`static final int`
`DIAL_REGION__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`DIAL_REGION__END_VALUE`
The feature id for the 'End Value' containment reference.
`static final int`
`DIAL_REGION__FILL`
The feature id for the 'Fill' containment reference.
`static final int`
`DIAL_REGION__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`DIAL_REGION__INNER_RADIUS`
The feature id for the 'Inner Radius' attribute.
`static final int`
`DIAL_REGION__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`DIAL_REGION__LABEL_ANCHOR`
The feature id for the 'Label Anchor' attribute.
`static final int`
`DIAL_REGION__OUTER_RADIUS`
The feature id for the 'Outer Radius' attribute.
`static final int`
`DIAL_REGION__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`DIAL_REGION__START_VALUE`
The feature id for the 'Start Value' containment reference.
`static final int`
`DIAL_REGION__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`DIAL_REGION_FEATURE_COUNT`
The number of structural features of the 'Dial Region' class.
`static final ComponentPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`ESTRING_TO_DATA_SET_MAP_ENTRY`
The meta object id for the '`EString To Data Set Map Entry`' class.
`static final int`
`ESTRING_TO_DATA_SET_MAP_ENTRY__KEY`
The feature id for the 'Key' attribute.
`static final int`
`ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`ESTRING_TO_DATA_SET_MAP_ENTRY_FEATURE_COUNT`
The number of structural features of the 'EString To Data Set Map Entry' class.
`static final int`
`GRID`
The meta object id for the '`Grid`' class.
`static final int`
`GRID__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`GRID__TICK_ATTRIBUTES`
The feature id for the 'Tick Attributes' containment reference.
`static final int`
`GRID__TICK_COUNT`
The feature id for the 'Tick Count' attribute.
`static final int`
`GRID__TICK_SIZE`
The feature id for the 'Tick Size' attribute.
`static final int`
`GRID__TICK_STYLE`
The feature id for the 'Tick Style' attribute.
`static final int`
`GRID_FEATURE_COUNT`
The number of structural features of the 'Grid' class.
`static final int`
`LABEL`
The meta object id for the '`Label`' class.
`static final int`
`LABEL__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`LABEL__CAPTION`
The feature id for the 'Caption' containment reference.
`static final int`
`LABEL__ELLIPSIS`
The feature id for the 'Ellipsis' attribute.
`static final int`
`LABEL__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`LABEL__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`LABEL__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`LABEL__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`LABEL_FEATURE_COUNT`
The number of structural features of the 'Label' class.
`static final int`
`MARKER_LINE`
The meta object id for the '`Marker Line`' class.
`static final int`
`MARKER_LINE__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`MARKER_LINE__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`MARKER_LINE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`MARKER_LINE__LABEL_ANCHOR`
The feature id for the 'Label Anchor' attribute.
`static final int`
`MARKER_LINE__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`MARKER_LINE__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`MARKER_LINE__VALUE`
The feature id for the 'Value' containment reference.
`static final int`
`MARKER_LINE_FEATURE_COUNT`
The number of structural features of the 'Marker Line' class.
`static final int`
`MARKER_RANGE`
The meta object id for the '`Marker Range`' class.
`static final int`
`MARKER_RANGE__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`MARKER_RANGE__END_VALUE`
The feature id for the 'End Value' containment reference.
`static final int`
`MARKER_RANGE__FILL`
The feature id for the 'Fill' containment reference.
`static final int`
`MARKER_RANGE__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`MARKER_RANGE__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`MARKER_RANGE__LABEL_ANCHOR`
The feature id for the 'Label Anchor' attribute.
`static final int`
`MARKER_RANGE__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`MARKER_RANGE__START_VALUE`
The feature id for the 'Start Value' containment reference.
`static final int`
`MARKER_RANGE__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`MARKER_RANGE_FEATURE_COUNT`
The number of structural features of the 'Marker Range' class.
`static final int`
`NEEDLE`
The meta object id for the '`Needle`' class.
`static final int`
`NEEDLE__DECORATOR`
The feature id for the 'Decorator' attribute.
`static final int`
`NEEDLE__LINE_ATTRIBUTES`
The feature id for the 'Line Attributes' containment reference.
`static final int`
`NEEDLE_FEATURE_COUNT`
The number of structural features of the 'Needle' class.
`static final int`
`SCALE`
The meta object id for the '`Scale`' class.
`static final int`
`SCALE__AUTO_EXPAND`
The feature id for the 'Auto Expand' attribute.
`static final int`
`SCALE__FACTOR`
The feature id for the 'Factor' attribute.
`static final int`
`SCALE__MAJOR_GRIDS_STEP_NUMBER`
The feature id for the 'Major Grids Step Number' attribute.
`static final int`
`SCALE__MAX`
The feature id for the 'Max' containment reference.
`static final int`
`SCALE__MIN`
The feature id for the 'Min' containment reference.
`static final int`
`SCALE__MINOR_GRIDS_PER_UNIT`
The feature id for the 'Minor Grids Per Unit' attribute.
`static final int`
`SCALE__SHOW_OUTSIDE`
The feature id for the 'Show Outside' attribute.
`static final int`
`SCALE__STEP`
The feature id for the 'Step' attribute.
`static final int`
`SCALE__STEP_NUMBER`
The feature id for the 'Step Number' attribute.
`static final int`
`SCALE__TICK_BETWEEN_CATEGORIES`
The feature id for the 'Tick Between Categories' attribute.
`static final int`
`SCALE__UNIT`
The feature id for the 'Unit' attribute.
`static final int`
`SCALE_FEATURE_COUNT`
The number of structural features of the 'Scale' class.
`static final int`
`SERIES`
The meta object id for the '`Series`' class.
`static final int`
`SERIES__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`SERIES__CURVE_FITTING`
The feature id for the 'Curve Fitting' containment reference.
`static final int`
`SERIES__DATA_DEFINITION`
The feature id for the 'Data Definition' containment reference list.
`static final int`
`SERIES__DATA_POINT`
The feature id for the 'Data Point' containment reference.
`static final int`
`SERIES__DATA_SETS`
The feature id for the 'Data Sets' map.
`static final int`
`SERIES__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`SERIES__LABEL_POSITION`
The feature id for the 'Label Position' attribute.
`static final int`
`SERIES__SERIES_IDENTIFIER`
The feature id for the 'Series Identifier' attribute.
`static final int`
`SERIES__STACKED`
The feature id for the 'Stacked' attribute.
`static final int`
`SERIES__TRANSLUCENT`
The feature id for the 'Translucent' attribute.
`static final int`
`SERIES__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`SERIES__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`SERIES_FEATURE_COUNT`
The number of structural features of the 'Series' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAxis()`
Returns the meta object for class ' `Axis`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Aligned()`
Returns the meta object for the attribute '`Aligned`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_AncillaryAxes()`
Returns the meta object for the containment reference list '`Ancillary Axes`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_AssociatedAxes()`
Returns the meta object for the containment reference list '`Associated Axes`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_AxisPercent()`
Returns the meta object for the attribute '`Axis Percent`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_CategoryAxis()`
Returns the meta object for the attribute '`Category Axis`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Cursor()`
Returns the meta object for the containment reference '`Cursor`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_GapWidth()`
Returns the meta object for the attribute '`Gap Width`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Interval()`
Returns the meta object for the attribute '`Interval`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelPosition()`
Returns the meta object for the attribute '`Label Position`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelSpan()`
Returns the meta object for the attribute '`Label Span`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_LabelWithinAxes()`
Returns the meta object for the attribute '`Label Within Axes`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_MajorGrid()`
Returns the meta object for the containment reference '`Major Grid`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_MarkerLines()`
Returns the meta object for the containment reference list '`Marker Lines`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_MarkerRanges()`
Returns the meta object for the containment reference list '`Marker Ranges`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_MinorGrid()`
Returns the meta object for the containment reference '`Minor Grid`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Orientation()`
Returns the meta object for the attribute '`Orientation`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Origin()`
Returns the meta object for the containment reference '`Origin`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Percent()`
Returns the meta object for the attribute '`Percent`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_PrimaryAxis()`
Returns the meta object for the attribute '`Primary Axis`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Scale()`
Returns the meta object for the containment reference '`Scale`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_SeriesDefinitions()`
Returns the meta object for the containment reference list '`Series Definitions`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_SideBySide()`
Returns the meta object for the attribute '`Side By Side`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Staggered()`
Returns the meta object for the attribute '`Staggered`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_SubTitle()`
Returns the meta object for the containment reference '`Sub Title`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Title()`
Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_TitlePosition()`
Returns the meta object for the attribute '`Title Position`'.
`org.eclipse.emf.ecore.EReference`
`getAxis_Triggers()`
Returns the meta object for the containment reference list '`Triggers`'.
`org.eclipse.emf.ecore.EAttribute`
`getAxis_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EClass`
`getChartPreferences()`
Returns the meta object for class '`Chart Preferences`'.
`org.eclipse.emf.ecore.EReference`
`getChartPreferences_Blocks()`
Returns the meta object for the containment reference list '`Blocks`'.
`org.eclipse.emf.ecore.EReference`
`getChartPreferences_Labels()`
Returns the meta object for the containment reference list '`Labels`'.
`ComponentFactory`
`getComponentFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getCurveFitting()`
Returns the meta object for class '`Curve Fitting`'.
`org.eclipse.emf.ecore.EReference`
`getCurveFitting_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getCurveFitting_LabelAnchor()`
Returns the meta object for the attribute '`Label Anchor`'.
`org.eclipse.emf.ecore.EReference`
`getCurveFitting_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EClass`
`getDial()`
Returns the meta object for class '`Dial`'.
`org.eclipse.emf.ecore.EReference`
`getDial_DialRegions()`
Returns the meta object for the containment reference list '`Dial Regions`'.
`org.eclipse.emf.ecore.EReference`
`getDial_Fill()`
Returns the meta object for the containment reference '`Fill`'.
`org.eclipse.emf.ecore.EReference`
`getDial_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getDial_InverseScale()`
Returns the meta object for the attribute '`Inverse Scale`'.
`org.eclipse.emf.ecore.EReference`
`getDial_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EReference`
`getDial_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getDial_MajorGrid()`
Returns the meta object for the containment reference '`Major Grid`'.
`org.eclipse.emf.ecore.EReference`
`getDial_MinorGrid()`
Returns the meta object for the containment reference '`Minor Grid`'.
`org.eclipse.emf.ecore.EAttribute`
`getDial_Radius()`
Returns the meta object for the attribute '`Radius`'.
`org.eclipse.emf.ecore.EReference`
`getDial_Scale()`
Returns the meta object for the containment reference '`Scale`'.
`org.eclipse.emf.ecore.EAttribute`
`getDial_StartAngle()`
Returns the meta object for the attribute '`Start Angle`'.
`org.eclipse.emf.ecore.EAttribute`
`getDial_StopAngle()`
Returns the meta object for the attribute '`Stop Angle`'.
`org.eclipse.emf.ecore.EClass`
`getDialRegion()`
Returns the meta object for class '`Dial Region`'.
`org.eclipse.emf.ecore.EAttribute`
`getDialRegion_InnerRadius()`
Returns the meta object for the attribute '`Inner Radius`'.
`org.eclipse.emf.ecore.EAttribute`
`getDialRegion_OuterRadius()`
Returns the meta object for the attribute '`Outer Radius`'.
`org.eclipse.emf.ecore.EClass`
`getEStringToDataSetMapEntry()`
Returns the meta object for class '`EString To Data Set Map Entry`'.
`org.eclipse.emf.ecore.EAttribute`
`getEStringToDataSetMapEntry_Key()`
Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EReference`
`getEStringToDataSetMapEntry_Value()`
Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getGrid()`
Returns the meta object for class ' `Grid`'.
`org.eclipse.emf.ecore.EReference`
`getGrid_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getGrid_TickAttributes()`
Returns the meta object for the containment reference '`Tick Attributes`'.
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickCount()`
Returns the meta object for the attribute '`Tick Count`'.
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickSize()`
Returns the meta object for the attribute '`Tick Size`'.
`org.eclipse.emf.ecore.EAttribute`
`getGrid_TickStyle()`
Returns the meta object for the attribute '`Tick Style`'.
`org.eclipse.emf.ecore.EClass`
`getLabel()`
Returns the meta object for class '`Label`'.
`org.eclipse.emf.ecore.EReference`
`getLabel_Background()`
Returns the meta object for the containment reference '`Background`'.
`org.eclipse.emf.ecore.EReference`
`getLabel_Caption()`
Returns the meta object for the containment reference '`Caption`'.
`org.eclipse.emf.ecore.EAttribute`
`getLabel_Ellipsis()`
Returns the meta object for the attribute '`Ellipsis`'.
`org.eclipse.emf.ecore.EReference`
`getLabel_Insets()`
Returns the meta object for the containment reference '`Insets`'.
`org.eclipse.emf.ecore.EReference`
`getLabel_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EReference`
`getLabel_ShadowColor()`
Returns the meta object for the containment reference '`Shadow Color`'.
`org.eclipse.emf.ecore.EAttribute`
`getLabel_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EClass`
`getMarkerLine()`
Returns the meta object for class '`Marker Line`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Cursor()`
Returns the meta object for the containment reference '`Cursor`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getMarkerLine_LabelAnchor()`
Returns the meta object for the attribute '`Label Anchor`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Triggers()`
Returns the meta object for the containment reference list '`Triggers`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerLine_Value()`
Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getMarkerRange()`
Returns the meta object for class '`Marker Range`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Cursor()`
Returns the meta object for the containment reference '`Cursor`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_EndValue()`
Returns the meta object for the containment reference '`End Value`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Fill()`
Returns the meta object for the containment reference '`Fill`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getMarkerRange_LabelAnchor()`
Returns the meta object for the attribute '`Label Anchor`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_StartValue()`
Returns the meta object for the containment reference '`Start Value`'.
`org.eclipse.emf.ecore.EReference`
`getMarkerRange_Triggers()`
Returns the meta object for the containment reference list '`Triggers`'.
`org.eclipse.emf.ecore.EClass`
`getNeedle()`
Returns the meta object for class '`Needle`'.
`org.eclipse.emf.ecore.EAttribute`
`getNeedle_Decorator()`
Returns the meta object for the attribute '`Decorator`'.
`org.eclipse.emf.ecore.EReference`
`getNeedle_LineAttributes()`
Returns the meta object for the containment reference '`Line Attributes`'.
`org.eclipse.emf.ecore.EClass`
`getScale()`
Returns the meta object for class '`Scale`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_AutoExpand()`
Returns the meta object for the attribute '`Auto Expand`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_Factor()`
Returns the meta object for the attribute '`Factor`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_MajorGridsStepNumber()`
Returns the meta object for the attribute '`Major Grids Step Number`'.
`org.eclipse.emf.ecore.EReference`
`getScale_Max()`
Returns the meta object for the containment reference '`Max`'.
`org.eclipse.emf.ecore.EReference`
`getScale_Min()`
Returns the meta object for the containment reference '`Min`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_MinorGridsPerUnit()`
Returns the meta object for the attribute '`Minor Grids Per Unit`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_ShowOutside()`
Returns the meta object for the attribute '`Show Outside`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_Step()`
Returns the meta object for the attribute '`Step`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_StepNumber()`
Returns the meta object for the attribute '`Step Number`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_TickBetweenCategories()`
Returns the meta object for the attribute '`Tick Between Categories`'.
`org.eclipse.emf.ecore.EAttribute`
`getScale_Unit()`
Returns the meta object for the attribute '`Unit`'.
`org.eclipse.emf.ecore.EClass`
`getSeries()`
Returns the meta object for class '`Series`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_Cursor()`
Returns the meta object for the containment reference '`Cursor`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_CurveFitting()`
Returns the meta object for the containment reference '`Curve Fitting`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_DataDefinition()`
Returns the meta object for the containment reference list '`Data Definition`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_DataPoint()`
Returns the meta object for the containment reference '`Data Point`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_DataSets()`
Returns the meta object for the map '`Data Sets`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_Label()`
Returns the meta object for the containment reference '`Label`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeries_LabelPosition()`
Returns the meta object for the attribute '`Label Position`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeries_SeriesIdentifier()`
Returns the meta object for the attribute '`Series Identifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Stacked()`
Returns the meta object for the attribute '`Stacked`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Translucent()`
Returns the meta object for the attribute '`Translucent`'.
`org.eclipse.emf.ecore.EReference`
`getSeries_Triggers()`
Returns the meta object for the containment reference list '`Triggers`'.
`org.eclipse.emf.ecore.EAttribute`
`getSeries_Visible()`
Returns the meta object for the attribute '`Visible`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final ComponentPackage eINSTANCE
The singleton instance of the package.

### AXIS

static final int AXIS
The meta object id for the '`Axis`' class.

See Also:
  - `AxisImpl`
  - `ComponentPackageImpl.getAxis()`
  - Constant Field Values

### AXIS__TYPE

static final int AXIS__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### AXIS__TITLE

static final int AXIS__TITLE
The feature id for the 'Title' containment reference.

See Also:
  - Constant Field Values

### AXIS__SUB_TITLE

static final int AXIS__SUB_TITLE
The feature id for the 'Sub Title' containment reference.

See Also:
  - Constant Field Values

### AXIS__TITLE_POSITION

static final int AXIS__TITLE_POSITION
The feature id for the 'Title Position' attribute.

See Also:
  - Constant Field Values

### AXIS__ASSOCIATED_AXES

static final int AXIS__ASSOCIATED_AXES
The feature id for the 'Associated Axes' containment reference list.

See Also:
  - Constant Field Values

### AXIS__ANCILLARY_AXES

static final int AXIS__ANCILLARY_AXES
The feature id for the 'Ancillary Axes' containment reference list.

See Also:
  - Constant Field Values

### AXIS__SERIES_DEFINITIONS

static final int AXIS__SERIES_DEFINITIONS
The feature id for the 'Series Definitions' containment reference list.

See Also:
  - Constant Field Values

### AXIS__GAP_WIDTH

static final int AXIS__GAP_WIDTH
The feature id for the 'Gap Width' attribute.

See Also:
  - Constant Field Values

### AXIS__ORIENTATION

static final int AXIS__ORIENTATION
The feature id for the 'Orientation' attribute.

See Also:
  - Constant Field Values

### AXIS__LINE_ATTRIBUTES

static final int AXIS__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### AXIS__LABEL

static final int AXIS__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### AXIS__FORMAT_SPECIFIER

static final int AXIS__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### AXIS__LABEL_POSITION

static final int AXIS__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### AXIS__STAGGERED

static final int AXIS__STAGGERED
The feature id for the 'Staggered' attribute.

See Also:
  - Constant Field Values

### AXIS__INTERVAL

static final int AXIS__INTERVAL
The feature id for the 'Interval' attribute.

See Also:
  - Constant Field Values

### AXIS__MARKER_LINES

static final int AXIS__MARKER_LINES
The feature id for the 'Marker Lines' containment reference list.

See Also:
  - Constant Field Values

### AXIS__MARKER_RANGES

static final int AXIS__MARKER_RANGES
The feature id for the 'Marker Ranges' containment reference list.

See Also:
  - Constant Field Values

### AXIS__TRIGGERS

static final int AXIS__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### AXIS__MAJOR_GRID

static final int AXIS__MAJOR_GRID
The feature id for the 'Major Grid' containment reference.

See Also:
  - Constant Field Values

### AXIS__MINOR_GRID

static final int AXIS__MINOR_GRID
The feature id for the 'Minor Grid' containment reference.

See Also:
  - Constant Field Values

### AXIS__SCALE

static final int AXIS__SCALE
The feature id for the 'Scale' containment reference.

See Also:
  - Constant Field Values

### AXIS__ORIGIN

static final int AXIS__ORIGIN
The feature id for the 'Origin' containment reference.

See Also:
  - Constant Field Values

### AXIS__PRIMARY_AXIS

static final int AXIS__PRIMARY_AXIS
The feature id for the 'Primary Axis' attribute.

See Also:
  - Constant Field Values

### AXIS__CATEGORY_AXIS

static final int AXIS__CATEGORY_AXIS
The feature id for the 'Category Axis' attribute.

See Also:
  - Constant Field Values

### AXIS__PERCENT

static final int AXIS__PERCENT
The feature id for the 'Percent' attribute.

See Also:
  - Constant Field Values

### AXIS__LABEL_WITHIN_AXES

static final int AXIS__LABEL_WITHIN_AXES
The feature id for the 'Label Within Axes' attribute.

See Also:
  - Constant Field Values

### AXIS__ALIGNED

static final int AXIS__ALIGNED
The feature id for the 'Aligned' attribute.

See Also:
  - Constant Field Values

### AXIS__SIDE_BY_SIDE

static final int AXIS__SIDE_BY_SIDE
The feature id for the 'Side By Side' attribute.

See Also:
  - Constant Field Values

### AXIS__CURSOR

static final int AXIS__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### AXIS__LABEL_SPAN

static final int AXIS__LABEL_SPAN
The feature id for the 'Label Span' attribute.

See Also:
  - Constant Field Values

### AXIS__AXIS_PERCENT

static final int AXIS__AXIS_PERCENT
The feature id for the 'Axis Percent' attribute.

See Also:
  - Constant Field Values

### AXIS_FEATURE_COUNT

static final int AXIS_FEATURE_COUNT
The number of structural features of the 'Axis' class.

See Also:
  - Constant Field Values

### CHART_PREFERENCES

static final int CHART_PREFERENCES
The meta object id for the '`Chart Preferences`' class.

See Also:
  - `ChartPreferencesImpl`
  - `ComponentPackageImpl.getChartPreferences()`
  - Constant Field Values

### CHART_PREFERENCES__LABELS

static final int CHART_PREFERENCES__LABELS
The feature id for the 'Labels' containment reference list.

See Also:
  - Constant Field Values

### CHART_PREFERENCES__BLOCKS

static final int CHART_PREFERENCES__BLOCKS
The feature id for the 'Blocks' containment reference list.

See Also:
  - Constant Field Values

### CHART_PREFERENCES_FEATURE_COUNT

static final int CHART_PREFERENCES_FEATURE_COUNT
The number of structural features of the 'Chart Preferences' class.

See Also:
  - Constant Field Values

### CURVE_FITTING

static final int CURVE_FITTING
The meta object id for the '`Curve Fitting`' class.

See Also:
  - `CurveFittingImpl`
  - `ComponentPackageImpl.getCurveFitting()`
  - Constant Field Values

### CURVE_FITTING__LINE_ATTRIBUTES

static final int CURVE_FITTING__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### CURVE_FITTING__LABEL

static final int CURVE_FITTING__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### CURVE_FITTING__LABEL_ANCHOR

static final int CURVE_FITTING__LABEL_ANCHOR
The feature id for the 'Label Anchor' attribute.

See Also:
  - Constant Field Values

### CURVE_FITTING_FEATURE_COUNT

static final int CURVE_FITTING_FEATURE_COUNT
The number of structural features of the 'Curve Fitting' class.

See Also:
  - Constant Field Values

### DIAL

static final int DIAL
The meta object id for the '`Dial`' class.

See Also:
  - `DialImpl`
  - `ComponentPackageImpl.getDial()`
  - Constant Field Values

### DIAL__START_ANGLE

static final int DIAL__START_ANGLE
The feature id for the 'Start Angle' attribute.

See Also:
  - Constant Field Values

### DIAL__STOP_ANGLE

static final int DIAL__STOP_ANGLE
The feature id for the 'Stop Angle' attribute.

See Also:
  - Constant Field Values

### DIAL__RADIUS

static final int DIAL__RADIUS
The feature id for the 'Radius' attribute.

See Also:
  - Constant Field Values

### DIAL__LINE_ATTRIBUTES

static final int DIAL__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### DIAL__FILL

static final int DIAL__FILL
The feature id for the 'Fill' containment reference.

See Also:
  - Constant Field Values

### DIAL__DIAL_REGIONS

static final int DIAL__DIAL_REGIONS
The feature id for the 'Dial Regions' containment reference list.

See Also:
  - Constant Field Values

### DIAL__MAJOR_GRID

static final int DIAL__MAJOR_GRID
The feature id for the 'Major Grid' containment reference.

See Also:
  - Constant Field Values

### DIAL__MINOR_GRID

static final int DIAL__MINOR_GRID
The feature id for the 'Minor Grid' containment reference.

See Also:
  - Constant Field Values

### DIAL__SCALE

static final int DIAL__SCALE
The feature id for the 'Scale' containment reference.

See Also:
  - Constant Field Values

### DIAL__INVERSE_SCALE

static final int DIAL__INVERSE_SCALE
The feature id for the 'Inverse Scale' attribute.

See Also:
  - Constant Field Values

### DIAL__LABEL

static final int DIAL__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### DIAL__FORMAT_SPECIFIER

static final int DIAL__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### DIAL_FEATURE_COUNT

static final int DIAL_FEATURE_COUNT
The number of structural features of the 'Dial' class.

See Also:
  - Constant Field Values

### DIAL_REGION

static final int DIAL_REGION
The meta object id for the '`Dial Region`' class.

See Also:
  - `DialRegionImpl`
  - `ComponentPackageImpl.getDialRegion()`
  - Constant Field Values

### LABEL

static final int LABEL
The meta object id for the '`Label`' class.

See Also:
  - `LabelImpl`
  - `ComponentPackageImpl.getLabel()`
  - Constant Field Values

### GRID

static final int GRID
The meta object id for the '`Grid`' class.

See Also:
  - `GridImpl`
  - `ComponentPackageImpl.getGrid()`
  - Constant Field Values

### MARKER_LINE

static final int MARKER_LINE
The meta object id for the '`Marker Line`' class.

See Also:
  - `MarkerLineImpl`
  - `ComponentPackageImpl.getMarkerLine()`
  - Constant Field Values

### MARKER_RANGE

static final int MARKER_RANGE
The meta object id for the '`Marker Range`' class.

See Also:
  - `MarkerRangeImpl`
  - `ComponentPackageImpl.getMarkerRange()`
  - Constant Field Values

### MARKER_RANGE__OUTLINE

static final int MARKER_RANGE__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__FILL

static final int MARKER_RANGE__FILL
The feature id for the 'Fill' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__START_VALUE

static final int MARKER_RANGE__START_VALUE
The feature id for the 'Start Value' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__END_VALUE

static final int MARKER_RANGE__END_VALUE
The feature id for the 'End Value' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__LABEL

static final int MARKER_RANGE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__LABEL_ANCHOR

static final int MARKER_RANGE__LABEL_ANCHOR
The feature id for the 'Label Anchor' attribute.

See Also:
  - Constant Field Values

### MARKER_RANGE__FORMAT_SPECIFIER

static final int MARKER_RANGE__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE__TRIGGERS

static final int MARKER_RANGE__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### MARKER_RANGE__CURSOR

static final int MARKER_RANGE__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### MARKER_RANGE_FEATURE_COUNT

static final int MARKER_RANGE_FEATURE_COUNT
The number of structural features of the 'Marker Range' class.

See Also:
  - Constant Field Values

### DIAL_REGION__OUTLINE

static final int DIAL_REGION__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__FILL

static final int DIAL_REGION__FILL
The feature id for the 'Fill' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__START_VALUE

static final int DIAL_REGION__START_VALUE
The feature id for the 'Start Value' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__END_VALUE

static final int DIAL_REGION__END_VALUE
The feature id for the 'End Value' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__LABEL

static final int DIAL_REGION__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__LABEL_ANCHOR

static final int DIAL_REGION__LABEL_ANCHOR
The feature id for the 'Label Anchor' attribute.

See Also:
  - Constant Field Values

### DIAL_REGION__FORMAT_SPECIFIER

static final int DIAL_REGION__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__TRIGGERS

static final int DIAL_REGION__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### DIAL_REGION__CURSOR

static final int DIAL_REGION__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### DIAL_REGION__INNER_RADIUS

static final int DIAL_REGION__INNER_RADIUS
The feature id for the 'Inner Radius' attribute.

See Also:
  - Constant Field Values

### DIAL_REGION__OUTER_RADIUS

static final int DIAL_REGION__OUTER_RADIUS
The feature id for the 'Outer Radius' attribute.

See Also:
  - Constant Field Values

### DIAL_REGION_FEATURE_COUNT

static final int DIAL_REGION_FEATURE_COUNT
The number of structural features of the 'Dial Region' class.

See Also:
  - Constant Field Values

### NEEDLE

static final int NEEDLE
The meta object id for the '`Needle`' class.

See Also:
  - `NeedleImpl`
  - `ComponentPackageImpl.getNeedle()`
  - Constant Field Values

### SCALE

static final int SCALE
The meta object id for the '`Scale`' class.

See Also:
  - `ScaleImpl`
  - `ComponentPackageImpl.getScale()`
  - Constant Field Values

### SERIES

static final int SERIES
The meta object id for the '`Series`' class.

See Also:
  - `SeriesImpl`
  - `ComponentPackageImpl.getSeries()`
  - Constant Field Values

### ESTRING_TO_DATA_SET_MAP_ENTRY

static final int ESTRING_TO_DATA_SET_MAP_ENTRY
The meta object id for the '`EString To Data Set Map Entry`' class.

See Also:
  - `EStringToDataSetMapEntryImpl`
  - `ComponentPackageImpl.getEStringToDataSetMapEntry()`
  - Constant Field Values

### ESTRING_TO_DATA_SET_MAP_ENTRY__KEY

static final int ESTRING_TO_DATA_SET_MAP_ENTRY__KEY
The feature id for the 'Key' attribute.

See Also:
  - Constant Field Values

### ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE

static final int ESTRING_TO_DATA_SET_MAP_ENTRY__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### ESTRING_TO_DATA_SET_MAP_ENTRY_FEATURE_COUNT

static final int ESTRING_TO_DATA_SET_MAP_ENTRY_FEATURE_COUNT
The number of structural features of the 'EString To Data Set Map Entry' class.

See Also:
  - Constant Field Values

### GRID__LINE_ATTRIBUTES

static final int GRID__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### GRID__TICK_STYLE

static final int GRID__TICK_STYLE
The feature id for the 'Tick Style' attribute.

See Also:
  - Constant Field Values

### GRID__TICK_ATTRIBUTES

static final int GRID__TICK_ATTRIBUTES
The feature id for the 'Tick Attributes' containment reference.

See Also:
  - Constant Field Values

### GRID__TICK_SIZE

static final int GRID__TICK_SIZE
The feature id for the 'Tick Size' attribute.

See Also:
  - Constant Field Values

### GRID__TICK_COUNT

static final int GRID__TICK_COUNT
The feature id for the 'Tick Count' attribute.

See Also:
  - Constant Field Values

### GRID_FEATURE_COUNT

static final int GRID_FEATURE_COUNT
The number of structural features of the 'Grid' class.

See Also:
  - Constant Field Values

### LABEL__CAPTION

static final int LABEL__CAPTION
The feature id for the 'Caption' containment reference.

See Also:
  - Constant Field Values

### LABEL__BACKGROUND

static final int LABEL__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### LABEL__OUTLINE

static final int LABEL__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### LABEL__SHADOW_COLOR

static final int LABEL__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### LABEL__INSETS

static final int LABEL__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### LABEL__VISIBLE

static final int LABEL__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### LABEL__ELLIPSIS

static final int LABEL__ELLIPSIS
The feature id for the 'Ellipsis' attribute.

See Also:
  - Constant Field Values

### LABEL_FEATURE_COUNT

static final int LABEL_FEATURE_COUNT
The number of structural features of the 'Label' class.

See Also:
  - Constant Field Values

### MARKER_LINE__LINE_ATTRIBUTES

static final int MARKER_LINE__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### MARKER_LINE__VALUE

static final int MARKER_LINE__VALUE
The feature id for the 'Value' containment reference.

See Also:
  - Constant Field Values

### MARKER_LINE__LABEL

static final int MARKER_LINE__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### MARKER_LINE__LABEL_ANCHOR

static final int MARKER_LINE__LABEL_ANCHOR
The feature id for the 'Label Anchor' attribute.

See Also:
  - Constant Field Values

### MARKER_LINE__FORMAT_SPECIFIER

static final int MARKER_LINE__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### MARKER_LINE__TRIGGERS

static final int MARKER_LINE__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### MARKER_LINE__CURSOR

static final int MARKER_LINE__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### MARKER_LINE_FEATURE_COUNT

static final int MARKER_LINE_FEATURE_COUNT
The number of structural features of the 'Marker Line' class.

See Also:
  - Constant Field Values

### NEEDLE__LINE_ATTRIBUTES

static final int NEEDLE__LINE_ATTRIBUTES
The feature id for the 'Line Attributes' containment reference.

See Also:
  - Constant Field Values

### NEEDLE__DECORATOR

static final int NEEDLE__DECORATOR
The feature id for the 'Decorator' attribute.

See Also:
  - Constant Field Values

### NEEDLE_FEATURE_COUNT

static final int NEEDLE_FEATURE_COUNT
The number of structural features of the 'Needle' class.

See Also:
  - Constant Field Values

### SCALE__MIN

static final int SCALE__MIN
The feature id for the 'Min' containment reference.

See Also:
  - Constant Field Values

### SCALE__MAX

static final int SCALE__MAX
The feature id for the 'Max' containment reference.

See Also:
  - Constant Field Values

### SCALE__STEP

static final int SCALE__STEP
The feature id for the 'Step' attribute.

See Also:
  - Constant Field Values

### SCALE__UNIT

static final int SCALE__UNIT
The feature id for the 'Unit' attribute.

See Also:
  - Constant Field Values

### SCALE__MINOR_GRIDS_PER_UNIT

static final int SCALE__MINOR_GRIDS_PER_UNIT
The feature id for the 'Minor Grids Per Unit' attribute.

See Also:
  - Constant Field Values

### SCALE__STEP_NUMBER

static final int SCALE__STEP_NUMBER
The feature id for the 'Step Number' attribute.

See Also:
  - Constant Field Values

### SCALE__SHOW_OUTSIDE

static final int SCALE__SHOW_OUTSIDE
The feature id for the 'Show Outside' attribute.

See Also:
  - Constant Field Values

### SCALE__TICK_BETWEEN_CATEGORIES

static final int SCALE__TICK_BETWEEN_CATEGORIES
The feature id for the 'Tick Between Categories' attribute.

See Also:
  - Constant Field Values

### SCALE__AUTO_EXPAND

static final int SCALE__AUTO_EXPAND
The feature id for the 'Auto Expand' attribute.

See Also:
  - Constant Field Values

### SCALE__MAJOR_GRIDS_STEP_NUMBER

static final int SCALE__MAJOR_GRIDS_STEP_NUMBER
The feature id for the 'Major Grids Step Number' attribute.

See Also:
  - Constant Field Values

### SCALE__FACTOR

static final int SCALE__FACTOR
The feature id for the 'Factor' attribute.

See Also:
  - Constant Field Values

### SCALE_FEATURE_COUNT

static final int SCALE_FEATURE_COUNT
The number of structural features of the 'Scale' class.

See Also:
  - Constant Field Values

### SERIES__VISIBLE

static final int SERIES__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### SERIES__LABEL

static final int SERIES__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### SERIES__DATA_DEFINITION

static final int SERIES__DATA_DEFINITION
The feature id for the 'Data Definition' containment reference list.

See Also:
  - Constant Field Values

### SERIES__SERIES_IDENTIFIER

static final int SERIES__SERIES_IDENTIFIER
The feature id for the 'Series Identifier' attribute.

See Also:
  - Constant Field Values

### SERIES__DATA_POINT

static final int SERIES__DATA_POINT
The feature id for the 'Data Point' containment reference.

See Also:
  - Constant Field Values

### SERIES__DATA_SETS

static final int SERIES__DATA_SETS
The feature id for the 'Data Sets' map.

See Also:
  - Constant Field Values

### SERIES__LABEL_POSITION

static final int SERIES__LABEL_POSITION
The feature id for the 'Label Position' attribute.

See Also:
  - Constant Field Values

### SERIES__STACKED

static final int SERIES__STACKED
The feature id for the 'Stacked' attribute.

See Also:
  - Constant Field Values

### SERIES__TRIGGERS

static final int SERIES__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### SERIES__TRANSLUCENT

static final int SERIES__TRANSLUCENT
The feature id for the 'Translucent' attribute.

See Also:
  - Constant Field Values

### SERIES__CURVE_FITTING

static final int SERIES__CURVE_FITTING
The feature id for the 'Curve Fitting' containment reference.

See Also:
  - Constant Field Values

### SERIES__CURSOR

static final int SERIES__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### SERIES_FEATURE_COUNT

static final int SERIES_FEATURE_COUNT
The number of structural features of the 'Series' class.

See Also:
  - Constant Field Values

## Method Details

### getAxis

org.eclipse.emf.ecore.EClass getAxis()
Returns the meta object for class ' `Axis`'.

Returns:
  the meta object for class 'Axis'.
See Also:
  - `Axis`

### getAxis_Type

org.eclipse.emf.ecore.EAttribute getAxis_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `Axis.getType()`
  - `getAxis()`

### getAxis_Title

org.eclipse.emf.ecore.EReference getAxis_Title()
Returns the meta object for the containment reference '`Title`'.

Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `Axis.getTitle()`
  - `getAxis()`

### getAxis_SubTitle

org.eclipse.emf.ecore.EReference getAxis_SubTitle()
Returns the meta object for the containment reference '`Sub Title`'.

Returns:
  the meta object for the containment reference 'Sub Title'.
See Also:
  - `Axis.getSubTitle()`
  - `getAxis()`

### getAxis_TitlePosition

org.eclipse.emf.ecore.EAttribute getAxis_TitlePosition()
Returns the meta object for the attribute '`Title Position`'.

Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `Axis.getTitlePosition()`
  - `getAxis()`

### getAxis_AssociatedAxes

org.eclipse.emf.ecore.EReference getAxis_AssociatedAxes()
Returns the meta object for the containment reference list '`Associated Axes`'.

Returns:
  the meta object for the containment reference list 'Associated Axes'.
See Also:
  - `Axis.getAssociatedAxes()`
  - `getAxis()`

### getAxis_AncillaryAxes

org.eclipse.emf.ecore.EReference getAxis_AncillaryAxes()
Returns the meta object for the containment reference list '`Ancillary Axes`'.

Returns:
  the meta object for the containment reference list 'Ancillary Axes'.
See Also:
  - `Axis.getAncillaryAxes()`
  - `getAxis()`

### getAxis_SeriesDefinitions

org.eclipse.emf.ecore.EReference getAxis_SeriesDefinitions()
Returns the meta object for the containment reference list '`Series Definitions`'.

Returns:
  the meta object for the containment reference list 'Series Definitions'.
See Also:
  - `Axis.getSeriesDefinitions()`
  - `getAxis()`

### getAxis_GapWidth

org.eclipse.emf.ecore.EAttribute getAxis_GapWidth()
Returns the meta object for the attribute '`Gap Width`'.

Returns:
  the meta object for the attribute 'Gap Width'.
See Also:
  - `Axis.getGapWidth()`
  - `getAxis()`

### getAxis_Orientation

org.eclipse.emf.ecore.EAttribute getAxis_Orientation()
Returns the meta object for the attribute '`Orientation`'.

Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `Axis.getOrientation()`
  - `getAxis()`

### getAxis_LineAttributes

org.eclipse.emf.ecore.EReference getAxis_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Axis.getLineAttributes()`
  - `getAxis()`

### getAxis_Label

org.eclipse.emf.ecore.EReference getAxis_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Axis.getLabel()`
  - `getAxis()`

### getAxis_FormatSpecifier

org.eclipse.emf.ecore.EReference getAxis_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Axis.getFormatSpecifier()`
  - `getAxis()`

### getAxis_LabelPosition

org.eclipse.emf.ecore.EAttribute getAxis_LabelPosition()
Returns the meta object for the attribute '`Label Position`'.

Returns:
  the meta object for the attribute 'Label Position'.
See Also:
  - `Axis.getLabelPosition()`
  - `getAxis()`

### getAxis_Staggered

org.eclipse.emf.ecore.EAttribute getAxis_Staggered()
Returns the meta object for the attribute '`Staggered`'.

Returns:
  the meta object for the attribute 'Staggered'.
See Also:
  - `Axis.isStaggered()`
  - `getAxis()`

### getAxis_Interval

org.eclipse.emf.ecore.EAttribute getAxis_Interval()
Returns the meta object for the attribute '`Interval`'.

Returns:
  the meta object for the attribute 'Interval'.
See Also:
  - `Axis.getInterval()`
  - `getAxis()`

### getAxis_MarkerLines

org.eclipse.emf.ecore.EReference getAxis_MarkerLines()
Returns the meta object for the containment reference list '`Marker Lines`'.

Returns:
  the meta object for the containment reference list 'Marker Lines'.
See Also:
  - `Axis.getMarkerLines()`
  - `getAxis()`

### getAxis_MarkerRanges

org.eclipse.emf.ecore.EReference getAxis_MarkerRanges()
Returns the meta object for the containment reference list '`Marker Ranges`'.

Returns:
  the meta object for the containment reference list 'Marker Ranges'.
See Also:
  - `Axis.getMarkerRanges()`
  - `getAxis()`

### getAxis_Triggers

org.eclipse.emf.ecore.EReference getAxis_Triggers()
Returns the meta object for the containment reference list '`Triggers`'.

Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Axis.getTriggers()`
  - `getAxis()`

### getAxis_MajorGrid

org.eclipse.emf.ecore.EReference getAxis_MajorGrid()
Returns the meta object for the containment reference '`Major Grid`'.

Returns:
  the meta object for the containment reference 'Major Grid'.
See Also:
  - `Axis.getMajorGrid()`
  - `getAxis()`

### getAxis_MinorGrid

org.eclipse.emf.ecore.EReference getAxis_MinorGrid()
Returns the meta object for the containment reference '`Minor Grid`'.

Returns:
  the meta object for the containment reference 'Minor Grid'.
See Also:
  - `Axis.getMinorGrid()`
  - `getAxis()`

### getAxis_Scale

org.eclipse.emf.ecore.EReference getAxis_Scale()
Returns the meta object for the containment reference '`Scale`'.

Returns:
  the meta object for the containment reference 'Scale'.
See Also:
  - `Axis.getScale()`
  - `getAxis()`

### getAxis_Origin

org.eclipse.emf.ecore.EReference getAxis_Origin()
Returns the meta object for the containment reference '`Origin`'.

Returns:
  the meta object for the containment reference 'Origin'.
See Also:
  - `Axis.getOrigin()`
  - `getAxis()`

### getAxis_PrimaryAxis

org.eclipse.emf.ecore.EAttribute getAxis_PrimaryAxis()
Returns the meta object for the attribute '`Primary Axis`'.

Returns:
  the meta object for the attribute 'Primary Axis'.
See Also:
  - `Axis.isPrimaryAxis()`
  - `getAxis()`

### getAxis_CategoryAxis

org.eclipse.emf.ecore.EAttribute getAxis_CategoryAxis()
Returns the meta object for the attribute '`Category Axis`'.

Returns:
  the meta object for the attribute 'Category Axis'.
See Also:
  - `Axis.isCategoryAxis()`
  - `getAxis()`

### getAxis_Percent

org.eclipse.emf.ecore.EAttribute getAxis_Percent()
Returns the meta object for the attribute '`Percent`'.

Returns:
  the meta object for the attribute 'Percent'.
See Also:
  - `Axis.isPercent()`
  - `getAxis()`

### getAxis_LabelWithinAxes

org.eclipse.emf.ecore.EAttribute getAxis_LabelWithinAxes()
Returns the meta object for the attribute '`Label Within Axes`'.

Returns:
  the meta object for the attribute 'Label Within Axes'.
See Also:
  - `Axis.isLabelWithinAxes()`
  - `getAxis()`

### getAxis_Aligned

org.eclipse.emf.ecore.EAttribute getAxis_Aligned()
Returns the meta object for the attribute '`Aligned`'.

Returns:
  the meta object for the attribute 'Aligned'.
See Also:
  - `Axis.isAligned()`
  - `getAxis()`

### getAxis_SideBySide

org.eclipse.emf.ecore.EAttribute getAxis_SideBySide()
Returns the meta object for the attribute '`Side By Side`'.

Returns:
  the meta object for the attribute 'Side By Side'.
See Also:
  - `Axis.isSideBySide()`
  - `getAxis()`

### getAxis_Cursor

org.eclipse.emf.ecore.EReference getAxis_Cursor()
Returns the meta object for the containment reference '`Cursor`'.

Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Axis.getCursor()`
  - `getAxis()`

### getAxis_LabelSpan

org.eclipse.emf.ecore.EAttribute getAxis_LabelSpan()
Returns the meta object for the attribute '`Label Span`'.

Returns:
  the meta object for the attribute 'Label Span'.
See Also:
  - `Axis.getLabelSpan()`
  - `getAxis()`

### getAxis_AxisPercent

org.eclipse.emf.ecore.EAttribute getAxis_AxisPercent()
Returns the meta object for the attribute '`Axis Percent`'.

Returns:
  the meta object for the attribute 'Axis Percent'.
See Also:
  - `Axis.getAxisPercent()`
  - `getAxis()`

### getChartPreferences

org.eclipse.emf.ecore.EClass getChartPreferences()
Returns the meta object for class '`Chart Preferences`'.

Returns:
  the meta object for class 'Chart Preferences'.
See Also:
  - `ChartPreferences`

### getChartPreferences_Labels

org.eclipse.emf.ecore.EReference getChartPreferences_Labels()
Returns the meta object for the containment reference list '`Labels`'.

Returns:
  the meta object for the containment reference list 'Labels'.
See Also:
  - `ChartPreferences.getLabels()`
  - `getChartPreferences()`

### getChartPreferences_Blocks

org.eclipse.emf.ecore.EReference getChartPreferences_Blocks()
Returns the meta object for the containment reference list '`Blocks`'.

Returns:
  the meta object for the containment reference list 'Blocks'.
See Also:
  - `ChartPreferences.getBlocks()`
  - `getChartPreferences()`

### getCurveFitting

org.eclipse.emf.ecore.EClass getCurveFitting()
Returns the meta object for class '`Curve Fitting`'.

Returns:
  the meta object for class 'Curve Fitting'.
See Also:
  - `CurveFitting`

### getCurveFitting_LineAttributes

org.eclipse.emf.ecore.EReference getCurveFitting_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `CurveFitting.getLineAttributes()`
  - `getCurveFitting()`

### getCurveFitting_Label

org.eclipse.emf.ecore.EReference getCurveFitting_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `CurveFitting.getLabel()`
  - `getCurveFitting()`

### getCurveFitting_LabelAnchor

org.eclipse.emf.ecore.EAttribute getCurveFitting_LabelAnchor()
Returns the meta object for the attribute '`Label Anchor`'.

Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `CurveFitting.getLabelAnchor()`
  - `getCurveFitting()`

### getDial

org.eclipse.emf.ecore.EClass getDial()
Returns the meta object for class '`Dial`'.

Returns:
  the meta object for class 'Dial'.
See Also:
  - `Dial`

### getDial_StartAngle

org.eclipse.emf.ecore.EAttribute getDial_StartAngle()
Returns the meta object for the attribute '`Start Angle`'.

Returns:
  the meta object for the attribute 'Start Angle'.
See Also:
  - `Dial.getStartAngle()`
  - `getDial()`

### getDial_StopAngle

org.eclipse.emf.ecore.EAttribute getDial_StopAngle()
Returns the meta object for the attribute '`Stop Angle`'.

Returns:
  the meta object for the attribute 'Stop Angle'.
See Also:
  - `Dial.getStopAngle()`
  - `getDial()`

### getDial_Radius

org.eclipse.emf.ecore.EAttribute getDial_Radius()
Returns the meta object for the attribute '`Radius`'.

Returns:
  the meta object for the attribute 'Radius'.
See Also:
  - `Dial.getRadius()`
  - `getDial()`

### getDial_LineAttributes

org.eclipse.emf.ecore.EReference getDial_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Dial.getLineAttributes()`
  - `getDial()`

### getDial_Fill

org.eclipse.emf.ecore.EReference getDial_Fill()
Returns the meta object for the containment reference '`Fill`'.

Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `Dial.getFill()`
  - `getDial()`

### getDial_DialRegions

org.eclipse.emf.ecore.EReference getDial_DialRegions()
Returns the meta object for the containment reference list '`Dial Regions`'.

Returns:
  the meta object for the containment reference list 'Dial Regions'.
See Also:
  - `Dial.getDialRegions()`
  - `getDial()`

### getDial_MajorGrid

org.eclipse.emf.ecore.EReference getDial_MajorGrid()
Returns the meta object for the containment reference '`Major Grid`'.

Returns:
  the meta object for the containment reference 'Major Grid'.
See Also:
  - `Dial.getMajorGrid()`
  - `getDial()`

### getDial_MinorGrid

org.eclipse.emf.ecore.EReference getDial_MinorGrid()
Returns the meta object for the containment reference '`Minor Grid`'.

Returns:
  the meta object for the containment reference 'Minor Grid'.
See Also:
  - `Dial.getMinorGrid()`
  - `getDial()`

### getDial_Scale

org.eclipse.emf.ecore.EReference getDial_Scale()
Returns the meta object for the containment reference '`Scale`'.

Returns:
  the meta object for the containment reference 'Scale'.
See Also:
  - `Dial.getScale()`
  - `getDial()`

### getDial_InverseScale

org.eclipse.emf.ecore.EAttribute getDial_InverseScale()
Returns the meta object for the attribute '`Inverse Scale`'.

Returns:
  the meta object for the attribute 'Inverse Scale'.
See Also:
  - `Dial.isInverseScale()`
  - `getDial()`

### getDial_Label

org.eclipse.emf.ecore.EReference getDial_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Dial.getLabel()`
  - `getDial()`

### getDial_FormatSpecifier

org.eclipse.emf.ecore.EReference getDial_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Dial.getFormatSpecifier()`
  - `getDial()`

### getDialRegion

org.eclipse.emf.ecore.EClass getDialRegion()
Returns the meta object for class '`Dial Region`'.

Returns:
  the meta object for class 'Dial Region'.
See Also:
  - `DialRegion`

### getDialRegion_InnerRadius

org.eclipse.emf.ecore.EAttribute getDialRegion_InnerRadius()
Returns the meta object for the attribute '`Inner Radius`'.

Returns:
  the meta object for the attribute 'Inner Radius'.
See Also:
  - `DialRegion.getInnerRadius()`
  - `getDialRegion()`

### getDialRegion_OuterRadius

org.eclipse.emf.ecore.EAttribute getDialRegion_OuterRadius()
Returns the meta object for the attribute '`Outer Radius`'.

Returns:
  the meta object for the attribute 'Outer Radius'.
See Also:
  - `DialRegion.getOuterRadius()`
  - `getDialRegion()`

### getGrid

org.eclipse.emf.ecore.EClass getGrid()
Returns the meta object for class ' `Grid`'.

Returns:
  the meta object for class 'Grid'.
See Also:
  - `Grid`

### getGrid_LineAttributes

org.eclipse.emf.ecore.EReference getGrid_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Grid.getLineAttributes()`
  - `getGrid()`

### getGrid_TickStyle

org.eclipse.emf.ecore.EAttribute getGrid_TickStyle()
Returns the meta object for the attribute '`Tick Style`'.

Returns:
  the meta object for the attribute 'Tick Style'.
See Also:
  - `Grid.getTickStyle()`
  - `getGrid()`

### getGrid_TickAttributes

org.eclipse.emf.ecore.EReference getGrid_TickAttributes()
Returns the meta object for the containment reference '`Tick Attributes`'.

Returns:
  the meta object for the containment reference 'Tick Attributes'.
See Also:
  - `Grid.getTickAttributes()`
  - `getGrid()`

### getGrid_TickSize

org.eclipse.emf.ecore.EAttribute getGrid_TickSize()
Returns the meta object for the attribute '`Tick Size`'.

Returns:
  the meta object for the attribute 'Tick Size'.
See Also:
  - `Grid.getTickSize()`
  - `getGrid()`

### getGrid_TickCount

org.eclipse.emf.ecore.EAttribute getGrid_TickCount()
Returns the meta object for the attribute '`Tick Count`'.

Returns:
  the meta object for the attribute 'Tick Count'.
See Also:
  - `Grid.getTickCount()`
  - `getGrid()`

### getLabel

org.eclipse.emf.ecore.EClass getLabel()
Returns the meta object for class '`Label`'.

Returns:
  the meta object for class 'Label'.
See Also:
  - `Label`

### getLabel_Caption

org.eclipse.emf.ecore.EReference getLabel_Caption()
Returns the meta object for the containment reference '`Caption`'.

Returns:
  the meta object for the containment reference 'Caption'.
See Also:
  - `Label.getCaption()`
  - `getLabel()`

### getLabel_Background

org.eclipse.emf.ecore.EReference getLabel_Background()
Returns the meta object for the containment reference '`Background`'.

Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `Label.getBackground()`
  - `getLabel()`

### getLabel_Outline

org.eclipse.emf.ecore.EReference getLabel_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Label.getOutline()`
  - `getLabel()`

### getLabel_ShadowColor

org.eclipse.emf.ecore.EReference getLabel_ShadowColor()
Returns the meta object for the containment reference '`Shadow Color`'.

Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `Label.getShadowColor()`
  - `getLabel()`

### getLabel_Insets

org.eclipse.emf.ecore.EReference getLabel_Insets()
Returns the meta object for the containment reference '`Insets`'.

Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `Label.getInsets()`
  - `getLabel()`

### getLabel_Visible

org.eclipse.emf.ecore.EAttribute getLabel_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Label.isVisible()`
  - `getLabel()`

### getLabel_Ellipsis

org.eclipse.emf.ecore.EAttribute getLabel_Ellipsis()
Returns the meta object for the attribute '`Ellipsis`'.

Returns:
  the meta object for the attribute 'Ellipsis'.
See Also:
  - `Label.getEllipsis()`
  - `getLabel()`

### getMarkerLine

org.eclipse.emf.ecore.EClass getMarkerLine()
Returns the meta object for class '`Marker Line`'.

Returns:
  the meta object for class 'Marker Line'.
See Also:
  - `MarkerLine`

### getMarkerLine_LineAttributes

org.eclipse.emf.ecore.EReference getMarkerLine_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `MarkerLine.getLineAttributes()`
  - `getMarkerLine()`

### getMarkerLine_Value

org.eclipse.emf.ecore.EReference getMarkerLine_Value()
Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `MarkerLine.getValue()`
  - `getMarkerLine()`

### getMarkerLine_Label

org.eclipse.emf.ecore.EReference getMarkerLine_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `MarkerLine.getLabel()`
  - `getMarkerLine()`

### getMarkerLine_LabelAnchor

org.eclipse.emf.ecore.EAttribute getMarkerLine_LabelAnchor()
Returns the meta object for the attribute '`Label Anchor`'.

Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `MarkerLine.getLabelAnchor()`
  - `getMarkerLine()`

### getMarkerLine_FormatSpecifier

org.eclipse.emf.ecore.EReference getMarkerLine_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `MarkerLine.getFormatSpecifier()`
  - `getMarkerLine()`

### getMarkerLine_Triggers

org.eclipse.emf.ecore.EReference getMarkerLine_Triggers()
Returns the meta object for the containment reference list '`Triggers`'.

Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `MarkerLine.getTriggers()`
  - `getMarkerLine()`

### getMarkerLine_Cursor

org.eclipse.emf.ecore.EReference getMarkerLine_Cursor()
Returns the meta object for the containment reference '`Cursor`'.

Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `MarkerLine.getCursor()`
  - `getMarkerLine()`

### getMarkerRange

org.eclipse.emf.ecore.EClass getMarkerRange()
Returns the meta object for class '`Marker Range`'.

Returns:
  the meta object for class 'Marker Range'.
See Also:
  - `MarkerRange`

### getMarkerRange_Outline

org.eclipse.emf.ecore.EReference getMarkerRange_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `MarkerRange.getOutline()`
  - `getMarkerRange()`

### getMarkerRange_Fill

org.eclipse.emf.ecore.EReference getMarkerRange_Fill()
Returns the meta object for the containment reference '`Fill`'.

Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `MarkerRange.getFill()`
  - `getMarkerRange()`

### getMarkerRange_StartValue

org.eclipse.emf.ecore.EReference getMarkerRange_StartValue()
Returns the meta object for the containment reference '`Start Value`'.

Returns:
  the meta object for the containment reference 'Start Value'.
See Also:
  - `MarkerRange.getStartValue()`
  - `getMarkerRange()`

### getMarkerRange_EndValue

org.eclipse.emf.ecore.EReference getMarkerRange_EndValue()
Returns the meta object for the containment reference '`End Value`'.

Returns:
  the meta object for the containment reference 'End Value'.
See Also:
  - `MarkerRange.getEndValue()`
  - `getMarkerRange()`

### getMarkerRange_Label

org.eclipse.emf.ecore.EReference getMarkerRange_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `MarkerRange.getLabel()`
  - `getMarkerRange()`

### getMarkerRange_LabelAnchor

org.eclipse.emf.ecore.EAttribute getMarkerRange_LabelAnchor()
Returns the meta object for the attribute '`Label Anchor`'.

Returns:
  the meta object for the attribute 'Label Anchor'.
See Also:
  - `MarkerRange.getLabelAnchor()`
  - `getMarkerRange()`

### getMarkerRange_FormatSpecifier

org.eclipse.emf.ecore.EReference getMarkerRange_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `MarkerRange.getFormatSpecifier()`
  - `getMarkerRange()`

### getMarkerRange_Triggers

org.eclipse.emf.ecore.EReference getMarkerRange_Triggers()
Returns the meta object for the containment reference list '`Triggers`'.

Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `MarkerRange.getTriggers()`
  - `getMarkerRange()`

### getMarkerRange_Cursor

org.eclipse.emf.ecore.EReference getMarkerRange_Cursor()
Returns the meta object for the containment reference '`Cursor`'.

Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `MarkerRange.getCursor()`
  - `getMarkerRange()`

### getNeedle

org.eclipse.emf.ecore.EClass getNeedle()
Returns the meta object for class '`Needle`'.

Returns:
  the meta object for class 'Needle'.
See Also:
  - `Needle`

### getNeedle_LineAttributes

org.eclipse.emf.ecore.EReference getNeedle_LineAttributes()
Returns the meta object for the containment reference '`Line Attributes`'.

Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `Needle.getLineAttributes()`
  - `getNeedle()`

### getNeedle_Decorator

org.eclipse.emf.ecore.EAttribute getNeedle_Decorator()
Returns the meta object for the attribute '`Decorator`'.

Returns:
  the meta object for the attribute 'Decorator'.
See Also:
  - `Needle.getDecorator()`
  - `getNeedle()`

### getScale

org.eclipse.emf.ecore.EClass getScale()
Returns the meta object for class '`Scale`'.

Returns:
  the meta object for class 'Scale'.
See Also:
  - `Scale`

### getScale_Min

org.eclipse.emf.ecore.EReference getScale_Min()
Returns the meta object for the containment reference '`Min`'.

Returns:
  the meta object for the containment reference 'Min'.
See Also:
  - `Scale.getMin()`
  - `getScale()`

### getScale_Max

org.eclipse.emf.ecore.EReference getScale_Max()
Returns the meta object for the containment reference '`Max`'.

Returns:
  the meta object for the containment reference 'Max'.
See Also:
  - `Scale.getMax()`
  - `getScale()`

### getScale_Step

org.eclipse.emf.ecore.EAttribute getScale_Step()
Returns the meta object for the attribute '`Step`'.

Returns:
  the meta object for the attribute 'Step'.
See Also:
  - `Scale.getStep()`
  - `getScale()`

### getScale_Unit

org.eclipse.emf.ecore.EAttribute getScale_Unit()
Returns the meta object for the attribute '`Unit`'.

Returns:
  the meta object for the attribute 'Unit'.
See Also:
  - `Scale.getUnit()`
  - `getScale()`

### getScale_MinorGridsPerUnit

org.eclipse.emf.ecore.EAttribute getScale_MinorGridsPerUnit()
Returns the meta object for the attribute '`Minor Grids Per Unit`'.

Returns:
  the meta object for the attribute 'Minor Grids Per Unit'.
See Also:
  - `Scale.getMinorGridsPerUnit()`
  - `getScale()`

### getScale_StepNumber

org.eclipse.emf.ecore.EAttribute getScale_StepNumber()
Returns the meta object for the attribute '`Step Number`'.

Returns:
  the meta object for the attribute 'Step Number'.
See Also:
  - `Scale.getStepNumber()`
  - `getScale()`

### getScale_ShowOutside

org.eclipse.emf.ecore.EAttribute getScale_ShowOutside()
Returns the meta object for the attribute '`Show Outside`'.

Returns:
  the meta object for the attribute 'Show Outside'.
See Also:
  - `Scale.isShowOutside()`
  - `getScale()`

### getScale_TickBetweenCategories

org.eclipse.emf.ecore.EAttribute getScale_TickBetweenCategories()
Returns the meta object for the attribute '`Tick Between Categories`'.

Returns:
  the meta object for the attribute 'Tick Between Categories'.
See Also:
  - `Scale.isTickBetweenCategories()`
  - `getScale()`

### getScale_AutoExpand

org.eclipse.emf.ecore.EAttribute getScale_AutoExpand()
Returns the meta object for the attribute '`Auto Expand`'.

Returns:
  the meta object for the attribute 'Auto Expand'.
See Also:
  - `Scale.isAutoExpand()`
  - `getScale()`

### getScale_MajorGridsStepNumber

org.eclipse.emf.ecore.EAttribute getScale_MajorGridsStepNumber()
Returns the meta object for the attribute '`Major Grids Step Number`'.

Returns:
  the meta object for the attribute 'Major Grids Step Number'.
See Also:
  - `Scale.getMajorGridsStepNumber()`
  - `getScale()`

### getScale_Factor

org.eclipse.emf.ecore.EAttribute getScale_Factor()
Returns the meta object for the attribute '`Factor`'.

Returns:
  the meta object for the attribute 'Factor'.
See Also:
  - `Scale.getFactor()`
  - `getScale()`

### getSeries

org.eclipse.emf.ecore.EClass getSeries()
Returns the meta object for class '`Series`'.

Returns:
  the meta object for class 'Series'.
See Also:
  - `Series`

### getSeries_Visible

org.eclipse.emf.ecore.EAttribute getSeries_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Series.isVisible()`
  - `getSeries()`

### getSeries_Label

org.eclipse.emf.ecore.EReference getSeries_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `Series.getLabel()`
  - `getSeries()`

### getSeries_DataDefinition

org.eclipse.emf.ecore.EReference getSeries_DataDefinition()
Returns the meta object for the containment reference list '`Data Definition`'.

Returns:
  the meta object for the containment reference list 'Data Definition'.
See Also:
  - `Series.getDataDefinition()`
  - `getSeries()`

### getSeries_SeriesIdentifier

org.eclipse.emf.ecore.EAttribute getSeries_SeriesIdentifier()
Returns the meta object for the attribute '`Series Identifier`'.

Returns:
  the meta object for the attribute 'Series Identifier'.
See Also:
  - `Series.getSeriesIdentifier()`
  - `getSeries()`

### getSeries_DataPoint

org.eclipse.emf.ecore.EReference getSeries_DataPoint()
Returns the meta object for the containment reference '`Data Point`'.

Returns:
  the meta object for the containment reference 'Data Point'.
See Also:
  - `Series.getDataPoint()`
  - `getSeries()`

### getSeries_DataSets

org.eclipse.emf.ecore.EReference getSeries_DataSets()
Returns the meta object for the map '`Data Sets`'.

Returns:
  the meta object for the map 'Data Sets'.
See Also:
  - `Series.getDataSets()`
  - `getSeries()`

### getSeries_LabelPosition

org.eclipse.emf.ecore.EAttribute getSeries_LabelPosition()
Returns the meta object for the attribute '`Label Position`'.

Returns:
  the meta object for the attribute 'Label Position'.
See Also:
  - `Series.getLabelPosition()`
  - `getSeries()`

### getSeries_Stacked

org.eclipse.emf.ecore.EAttribute getSeries_Stacked()
Returns the meta object for the attribute '`Stacked`'.

Returns:
  the meta object for the attribute 'Stacked'.
See Also:
  - `Series.isStacked()`
  - `getSeries()`

### getSeries_Triggers

org.eclipse.emf.ecore.EReference getSeries_Triggers()
Returns the meta object for the containment reference list '`Triggers`'.

Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Series.getTriggers()`
  - `getSeries()`

### getSeries_Translucent

org.eclipse.emf.ecore.EAttribute getSeries_Translucent()
Returns the meta object for the attribute '`Translucent`'.

Returns:
  the meta object for the attribute 'Translucent'.
See Also:
  - `Series.isTranslucent()`
  - `getSeries()`

### getSeries_CurveFitting

org.eclipse.emf.ecore.EReference getSeries_CurveFitting()
Returns the meta object for the containment reference '`Curve Fitting`'.

Returns:
  the meta object for the containment reference 'Curve Fitting'.
See Also:
  - `Series.getCurveFitting()`
  - `getSeries()`

### getSeries_Cursor

org.eclipse.emf.ecore.EReference getSeries_Cursor()
Returns the meta object for the containment reference '`Cursor`'.

Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Series.getCursor()`
  - `getSeries()`

### getEStringToDataSetMapEntry

org.eclipse.emf.ecore.EClass getEStringToDataSetMapEntry()
Returns the meta object for class '`EString To Data Set Map Entry`'.

Returns:
  the meta object for class 'EString To Data Set Map Entry'.
See Also:
  - `Map.Entry`

### getEStringToDataSetMapEntry_Key

org.eclipse.emf.ecore.EAttribute getEStringToDataSetMapEntry_Key()
Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  - `Map.Entry`
  - `getEStringToDataSetMapEntry()`

### getEStringToDataSetMapEntry_Value

org.eclipse.emf.ecore.EReference getEStringToDataSetMapEntry_Value()
Returns the meta object for the containment reference '`Value`'.

Returns:
  the meta object for the containment reference 'Value'.
See Also:
  - `Map.Entry`
  - `getEStringToDataSetMapEntry()`

### getComponentFactory

ComponentFactory getComponentFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.